1 Reply Latest reply: Nov 19, 2012 4:26 PM by Niel
cneudorff Level 1 Level 1 (0 points)

Purchased iPad mini. Requires iTunes 10.7.  iTunes says current with 10.6.3. Downloaded iTunes7, won't install -needs OS 10.6.8 or later. Current MacBook OS 10.5.8, updates says "software uptodate".  How do I get around this?


iPad, Mac OS X (10.5.8)